:: Backup_HealBot.bat
::
:: Backup all Healbot addon text files from WTF
::
:: This must be run in the World of Warcraft _retail_, _classic_ or _classic_era_ folder
::
::

@ECHO OFF

IF NOT EXIST .\WTF\Account goto ERRHB
CLS
ECHO.
ECHO.
ECHO  Only use this when completely logged out of WoW
ECHO.
ECHO.
ECHO. Press [B] for Backup
ECHO. Press [R] for Restore
ECHO.
ECHO.
ECHO  Any other key - Do NOTHING and exit
ECHO.
ECHO.

SET /P GOWHERE=Enter B or R: 
if not defined GOWHERE goto SKIPALL

if /i %GOWHERE%==B goto BACKUP
if /i %GOWHERE%==R goto RESTORE

goto SKIPALL

:BACKUP

mkdir HealBot.Backup 2>nul
dir .\WTF\HealBot*.lua /b /s > HealBot_Backup_filelist.txt
xcopy .\WTF\HealBot*.lua HealBot.Backup /S /Y

CLS
ECHO.
ECHO.
ECHO Backup complete
ECHO.
ECHO Files exist in folder %CD%\HealBot.Backup
ECHO A list exists in text file %CD%\HealBot_Backup_filelist.txt
ECHO.

goto DONE

:RESTORE

IF NOT EXIST .\HealBot.Backup goto ERRNODIR

xcopy .\HealBot.Backup\HealBot*.lua WTF /S /Y
CLS
ECHO.
ECHO.
ECHO Restore complete
ECHO.
ECHO.

goto DONE

:SKIPALL

echo.
echo.
echo  Nothing selected - Exiting
echo.

goto DONE

:ERRNODIR

echo.
echo ERROR - === Folder HealBot.Backup not found ===
echo.
echo ERROR - A backup needs to run before a restore
echo.

goto DONE

:ERRHB

echo.
echo ERROR - === Folder WTF not found ===
echo.
echo ERROR - Running in the wrong Folder
echo ERROR - Run this in the World of Warcraft _retail_, _classic_ or _classic_era_ Folder
echo ERROR -     (ie. C:\Program Files\World of Warcraft\_retail_)
echo.

goto DONE

:DONE

pause

EXIT